## webpdec webpdec |

## Properties

gboolean | bypass-filtering | Read / Write
gboolean | no-fancy-upsampling | Read / Write
gboolean | use-threads | Read / Write

## Types and Values

struct | GstWebPDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstWebPDec

## Description

## Synopsis

### Element Information

plugin | webp
author | Sreerenj Balachandran <sreerenj.balachandrn@intel.com>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/webp

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGB, RGBA, BGR, BGRA, ARGB, RGB16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstWebPDec

    struct GstWebPDec;

## Property Details

### The `“bypass-filtering”` property

      “bypass-filtering”         gboolean

When enabled, skip the in-loop filtering.

Flags: Read / Write

Default value: FALSE

### The `“no-fancy-upsampling”` property

      “no-fancy-upsampling”      gboolean

When enabled, use faster pointwise upsampler.

Flags: Read / Write

Default value: FALSE

### The `“use-threads”` property

      “use-threads”              gboolean

When enabled, use multi-threaded decoding.

Flags: Read / Write

Default value: FALSE